Name:           python-django-db-geventpool
Version:        4.0.8
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Add a DB connection pool using gevent to django

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/jneight/django-db-geventpool
Source:         %{pypi_source django_db_geventpool}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'django-db-geventpool' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-django-db-geventpool
Summary:        %{summary}

%description -n python3-django-db-geventpool %_description


%prep
%autosetup -p1 -n django_db_geventpool-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-django-db-geventpool -f %{pyproject_files}


%changelog
%autochangelog